$(function(){
	//页面加载完成之后执行
	pageInit();
});
function pageInit(){
	//创建jqGrid组件
	var mygrid = jQuery("#Example").jqGrid(
			{
				url : '/data/JSONData.json',//组件创建完成之后请求数据的url
				datatype : "json",//请求数据返回的类型。可选json,xml,txt
				colNames : [ 'Inv No', 'Date', 'Client', 'Amount', 'Tax','Total', 'Notes', '我' ],//jqGrid的列显示名字
				colModel : [ //jqGrid每一列的配置信息。包括名字，索引，宽度,对齐方式.....
				             {name : 'id',index : 'id', frozen : true,editoptions : {readonly : true,size : 10}}, //列冻结 frozen : true
				             {name : 'invdate',index : 'invdate', frozen : true,editable : true,editoptions : {size : 10},searchoptions:{dataInit:function(el){$(el).datepicker({dateFormat:'yy-mm-dd'});} }}, 
				             {name : 'name',index : 'name asc, invdate',editable : true,editoptions : {size : 25}}, 
				             {name : 'amount',index : 'amount',align : "right",editoptions : {readonly : true,size : 10}}, 
				             {name : 'tax',index : 'tax',align : "right",editable : true,edittype : "checkbox",editoptions : {value : "Yes:No"}}, 
				             {name : 'total',index : 'total',align : "right",editable : true,editoptions : {size : 10}, stype:'select', editoptions:{value:":All;0.00:0.00;12:12.00;20:20.00;40:40.00;60:60.00;120:120.00"}}, 
				             {name : 'note',index : 'note',editable : true,edittype : "textarea",editoptions : {rows : "2",cols : "20"}} ,
				             {name : '我',index : 'total',align : "right",editoptions : {readonly : true,size : 10}}
				           ],
				//height:500,//默认高度
				width: "100%",//默认宽度
				autowidth:true,
				rowNum : 10,//一页显示多少条
				rowList : [ 10, 20, 30 ],//可供用户选择一页显示多少条
				pager : '#pager',//表格页脚的占位符(一般是div)的id
				sortname : 'id',//初始化的时候排序的字段
				sortorder : "desc",//排序方式,可选desc,asc
				mtype : "post",//向后台请求数据的ajax的类型。可选post,get
				viewrecords : true,//page页面序号信息
				sortable : true,//列排序
        		multiselect : true,//tr行多选
				recordpos : 'right',//分页
				caption : "table Example",//表格的标题名字
				
				//editurl : ctx+"/RowEditing"
			});
	/*创建jqGrid的操作按钮容器*/
	  jQuery("#Example").jqGrid('gridResize',{minWidth:350,maxWidth:1130,minHeight:80, maxHeight:650});//grid改变大小
	  //jQuery("#Example").jqGrid('setFrozenColumns');//冻结列,与列排序sortable冲突
	  
	  jQuery("#Example").jqGrid('navGrid', '#pager', //列表底部 新增，编辑，删除
			{}, //options
			{height : 300,reloadAfterSubmit : false}, // edit options 
			{height : 300,reloadAfterSubmit : false}, // add options
			{reloadAfterSubmit : false}, // del options
			{}// search options
	  );
	  jQuery("#Example").jqGrid('navButtonAdd','#pager',{//列选择
		  caption: "Columns",
		  title: "Reorder Columns",
		  onClickButton : function (){
			  jQuery("#Example").jqGrid('columnChooser');
		  }
	  });
	  jQuery("#Example").jqGrid('navGrid', '#pager', {
			add : false,
			del : false,
			edit : false,
			position : 'left'
		});
	  	jQuery("#Example").jqGrid('navGrid','#pager',{edit:false,add:false,del:false,search:false,refresh:false});
		jQuery("#Example").jqGrid('navButtonAdd',"#pager",{caption:"Toggle",title:"Toggle Search Toolbar", buttonicon :'ui-icon-pin-s',
			onClickButton:function(){
				mygrid[0].toggleToolbar()
			} 
		});
		jQuery("#Example").jqGrid('navButtonAdd',"#pager",{caption:"Clear",title:"Clear Search",buttonicon :'ui-icon-refresh',
			onClickButton:function(){
				mygrid[0].clearToolbar()
			} 
		});
		jQuery("#Example").jqGrid('filterToolbar');
		
}
// JavaScript Document
$(function(){
	//弹窗内input边框
  $(".box input").focus(function(){
	  $(this).css("border","1px solid #1696a3");
	  });
  $(".box input").blur(function(){
	  $(this).css("border","1px solid #bfccdd");
	  });
	
	
})
